GNU bug report logs - #4108
23.1; MS Windows (tested on Vista and XP) scrolling stutters/pauses

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Reto Hubmann <retohu@HIDDEN>; merged with #1611, #3978; dated Mon, 10 Aug 2009 17:50:04 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 1611 3978 4108. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 10 Aug 2009 17:44:54 +0000
From retohu@HIDDEN Mon Aug 10 10:44:54 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=0.1 required=4.0 tests=FOURLA autolearn=no
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from lists.gnu.org (lists.gnu.org [199.232.76.165])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n7AHiqts011134
	for <submit@HIDDEN>; Mon, 10 Aug 2009 10:44:54 -0700
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1MaYvU-0005pe-Ft
	for bug-gnu-emacs@HIDDEN; Mon, 10 Aug 2009 13:44:52 -0400
Received: from exim by lists.gnu.org with spam-scanned (Exim 4.43)
	id 1MaYvO-0005eL-NV
	for bug-gnu-emacs@HIDDEN; Mon, 10 Aug 2009 13:44:51 -0400
Received: from [199.232.76.173] (port=59574 helo=monty-python.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43)
	id 1MaYvO-0005dx-IP
	for bug-gnu-emacs@HIDDEN; Mon, 10 Aug 2009 13:44:46 -0400
Received: from mail-ew0-f211.google.com ([209.85.219.211]:60015)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <retohu@HIDDEN>)
	id 1MaYvO-0007wR-29
	for bug-gnu-emacs@HIDDEN; Mon, 10 Aug 2009 13:44:46 -0400
Received: by ewy7 with SMTP id 7so3535834ewy.42
        for <bug-gnu-emacs@HIDDEN>; Mon, 10 Aug 2009 10:44:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=gamma;
        h=domainkey-signature:received:received:to:subject:from:date
         :message-id:user-agent:mime-version:content-type;
        bh=TRkiWmQ59OWRjaLqoMdjJT/4utvk1F/dqizqfOvvzgc=;
        b=s32TUi/eiX7hD7XNFG4oB3Q3ZVH9AE/ZIDyb0peZtaECoXx5XuIDUqV9TNORi+xTvp
         yl9FLzO2OGOuwE+0/NZ10TTaIbz5h4U+XG9Bjq4716/vz+lV007mLsWO6xam3L0Ra2xT
         9uqNYuxQFThYMEk0S77v1iaPK7LWUm3p/TsaQ=
DomainKey-Signature: a=rsa-sha1; c=nofws;
        d=gmail.com; s=gamma;
        h=to:subject:from:date:message-id:user-agent:mime-version
         :content-type;
        b=eXEBOvanOyHn9nHm85uLgBQiY1TtSzNNOAUk2rrnNgQhoIxvkj+u7onPb2TCUcSNn5
         m4/jddsZsUFtp4Zca3TIBlHsBaYCN5HCdszBGyjYUm+QB6hzi3kCbmihAEvcYUQEqp58
         KoaLfD22cFlDjB5jqbc+9shAgULm9aRs64vSQ=
Received: by 10.210.20.10 with SMTP id 10mr3050100ebt.72.1249926284717;
        Mon, 10 Aug 2009 10:44:44 -0700 (PDT)
Received: from mini. (84-75-117-70.dclient.hispeed.ch [84.75.117.70])
        by mx.google.com with ESMTPS id 7sm174672eyb.20.2009.08.10.10.44.42
        (version=TLSv1/SSLv3 cipher=RC4-MD5);
        Mon, 10 Aug 2009 10:44:43 -0700 (PDT)
To: bug-gnu-emacs@HIDDEN
Subject: 23.1; MS Windows (tested on Vista and XP) scrolling stutters/pauses
From: Reto Hubmann <retohu@HIDDEN>
Date: Mon, 10 Aug 2009 19:46:09 +0200
Message-ID: <87ab2736la.fsf@HIDDEN>
User-Agent: Gnus/5.11 (Gnus v5.11) Emacs/22.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6 (newer, 2)

Scrolling problems get worse with complicated sources. Try
color-theme-library.el.  It is already happening with the default font
(Courier New). But selecting fixedsys font for example is making it
far worse. It happens when scrolling down with C-n. I hope tis can be
fixed because it keeps me from using 23 and I stick with 22 as the
problem does not exist there. It may have something to do with the new
font engine, I don't really know though...


In GNU Emacs 23.1.1 (i386-mingw-nt6.0.6001)
 of 2009-07-30 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 6.0.6001
configured using `configure --with-gcc (4.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: DES
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n <help-echo> C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <menu-bar> <options> <menu-set-font> C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n <apps> x <backspace> M-x b u g - r 
e p <tab> <backspace> <backspace> <backspace> <tab> 
<tab> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
r e p <tab> o r <tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
dired-show-file-type: Searching for program: no such file or directory, file
Making completion list... [2 times]
kill-region: The mark is not set now, so there is no region [2 times]




Acknowledgement sent to Reto Hubmann <retohu@HIDDEN>:
New bug report received and forwarded. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Report forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#4108; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.